#ifndef DEBUGINFODIALOG_H
#define DEBUGINFODIALOG_H

#include <QDialog>
#include <QDateTime>
#include <QMouseEvent>
#include "setcontrolstyle.h"
#include "mybutton.h"

namespace Ui {
class DebugInfoDialog;
}

class DebugInfoDialog : public QDialog
{
    Q_OBJECT

public:
    explicit DebugInfoDialog(QWidget *parent = 0);
    ~DebugInfoDialog();
public:
    void initDialog();
    void refreshUi();
    void addListInfo();
private:
    Ui::DebugInfoDialog *ui;
private:
    QList<MyButton *> m_DebugInfoBtnList;
    QStringList m_infoList;
    int m_itemPerPage;
    int m_curPages;//当前页数
    int m_pageNums;//总页数

private:
    void initControl();//初始化窗体控件，包括位置、尺寸、样式
    void initResolution1910();//初始化窗体控件为1920x1080分辨率
    void initResolution1006();
    void initControlStyle();//初始化窗体控件样式
public slots:
    void slotDebugInfo();
private slots:
    void on_buttonCancel_clicked();
    void on_buttonPgUp_clicked();
    void on_buttonPgDn_clicked();
};

#endif // DEBUGINFODIALOG_H
